> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-tokenization/es/comenzar/conceptos-clave/decision-de-tokenizacion/informacion-del-dispositivo.md).

# Información del dispositivo

El [`requestCardDigitization`](/classic-tokenization/es/referencia-de-la-api/api-de-la-pasarela-del-emisor/saliente-al-emisor.md) la llamada puede incluir señales del dispositivo en el `deviceInformation` objeto.

Los solicitantes de tokens recopilan señales del dispositivo. Son los únicos actores que normalmente interactúan directamente con el dispositivo del usuario final.

Si el solicitante de tokens recopila datos del dispositivo, los adjunta a la solicitud enviada al TSP. El TSP puede entonces reenviarlos al backend del emisor.

Los nombres de campo coinciden con la carga útil de la API.

La tabla a continuación muestra qué campos puede proporcionar una solución:

* `A` (disponible): el solicitante de tokens o el ICS TSP (ITSP) puede proporcionar el campo.
* `NA` (no disponible): el campo no se proporciona.

> <i class="fa-exclamation-circle">:exclamation-circle:</i>
>
> **Nota:**
>
> Incluso si un campo está marcado `A`, el solicitante de tokens puede omitirlo.

| CAMPO                    |   | VISA (ITSP) | MASTERCARD (ITSP) | AMEX (ITSP) | DISCOVER (ITSP) | UPI (ITSP) | APPLE PAY | GOOGLE PAY | SAMSUNG PAY |
| ------------------------ | - | ----------- | ----------------- | ----------- | --------------- | ---------- | --------- | ---------- | ----------- |
| tokenStorageId           |   | A           | A                 | A           | A               | A          | A         | A          | A           |
| tokenStorageType         |   | A           | A                 | A           | A               | A          | A         | A          | A           |
| manufacturer             |   | A           | A                 | A           | A               | NA         | A         | A          | A           |
| brand                    |   | NA          | NA                | A           | A               | NA         | NA        | A          | NA          |
| model                    |   | A           | NA                | NA          | A               | NA         | NA        | A          | A           |
| osVersion                |   | A           | A                 | A           | A               | NA         | NA        | A          | NA          |
| firmwareVersion          |   | A           | NA                | NA          | NA              | NA         | NA        | NA         | NA          |
| phoneNumber              |   | A           | A                 | A           | A               | A          | A         | NA         | A           |
| fourLastDigitPhoneNumber |   | NA          | NA                | NA          | A               | NA         | A         | A          | NA          |
| deviceName               |   | A           | A                 | A           | A               | A          | A         | A          | NA          |
| deviceId                 |   | NA          | NA                | A           | NA              | NA         | NA        | A          | NA          |
| androidLastTwo           |   | NA          | NA                | NA          | NA              | NA         | NA        | A          | NA          |
| deviceParentId           |   | NA          | NA                | NA          | A               | NA         | NA        | NA         | A           |
| language                 |   | A           | NA                | A           | A               | A          | A         | A          | A           |
| serialNumber (last 2)    |   | A           | A                 | NA          | A               | A          | NA        | A          | NA          |
| timeZone                 |   | A           | NA                | A           | A               | NA         | NA        | A          | NA          |
| timeZoneSetting          |   | A           | NA                | A           | A               | NA         | NA        | A          | NA          |
| simSerialNumber          |   | A           | NA                | NA          | NA              | A          | NA        | NA         | NA          |
| IMEI (last 2)            |   | A           | A                 | NA          | A               | NA         | NA        | A          | NA          |
| phoneLostTime            |   | A           | NA                | NA          | NA              | NA         | NA        | NA         | NA          |
| networkOperator          |   | NA          | NA                | A           | A               | NA         | NA        | A          | NA          |
| networkType              |   | NA          | NA                | A           | A               | NA         | NA        | A          | NA          |

> <i class="fa-info-circle">:info-circle:</i>
>
> **Recomendación:**
>
> Admitir solo los campos con amplia cobertura entre solicitantes de tokens y TSPs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/classic-tokenization/es/comenzar/conceptos-clave/decision-de-tokenizacion/informacion-del-dispositivo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
